get
https://api.liquiditytech.com/api/v1/trading/data/export/list
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Description
Return export tasks and their statuses.
Rate Limit
30 requests per second.
Permission
RapidX API key with read-only permission is sufficient. No trading / write permission is required.
Request
| Name | Type | Mandatory | Description |
|---|---|---|---|
| exportType | Integer | Y | Export type: 1 - History Order 3- History Position |
| exchange | String | N | Exchange type (BINANCE, OKX) |
| businessType | String | N | Business type (SPOT, MARGIN, PERP) |
| exportStatus | Integer | N | 1 - Pending, 2 - Processing, 3 -Processed. |
| page | Integer | N | Page number to retrieve. Default is 1. |
| pageSize | Integer | N | Number of records per page. Default is 1000, maximum is 1000 |
Response
| Field | Type | Remark |
|---|---|---|
| portfolioId | String | Portfolio ID |
| exportType | String | Export type(1-History Order,3-History Position) |
| exchangeType | String | Exchange type(BINANCE,OKX) |
| businessType | String | Business type(SPOT,MARGIN,PERP) |
| orderState | String | Please see ENUM Definitions for supported values. |
| startTime | Long | Export data start time(millisecond timestamp) |
| endTime | Long | Export data start time(millisecond timestamp) |
| isFilterCancel | Int | 0-All Data, 1-Filtering orders with no quantity filled, Effective only when exporting order data. Default export all orders. |
| downloadUrl | String | download url |
| status | Int | 1- Pending, 2- Processing, 3- Processed. |
| createAt | Long | Create data time(millisecond timestamp) |
| updateAt | Long | Update data time(millisecond timestamp) |
| exportId | Int | History Data Export ID. |
